Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027010
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-07-03 17:182015-03-02 20:31
ReportermaiteView Statuspublic 
Assigned Toreinaldoguerra 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision452fedf8a214
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027010: Sales Invoice Dimensional Report should not consider invoices in Void status

DescriptionSales Invoice Dimensional Report should not consider invoices in Void status
Steps To Reproduce1. Register Sales Invoice for any Organization and Business Partner. Add line for any Product and process
2. Run "Void" process for that invoice
3. Execute Sales Invoice Dimensional Report and realize that information for that product appear in red colour. However, as these are Voided invoices no shipment is expected related with them. Due to that, report should not consider voided invoices.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071384)
reinaldoguerra (developer)
2014-11-04 00:22
edited on: 2015-02-27 12:51

Test plan used:
1- Login into Openbravo ERP
2- Go to sales invoice window and register a new one for any Organization and Business Partner.
3- Go to lines tab and create a new one for any Product.
4- Complete it
5- Click on reactivate button and select void option
6- Check document status is set as "voided"
7- Execute Sales Invoice Dimensional Report selecting invoce's date. Realize that voided invoice is retrieved.
8- Go to Preference window and create a new record
9- Select property named: "Enable void documents for Sales Invoice Dimensional Report" and set value as "Y"
10- Logout and login again
11- Execute Sales Invoice Dimensional Report and realize that now a new checkbox with text "Voided invoices needs to be included", is included as primary filter.
12- Uncheck it and execute report, selecting invoce's date. Realize that no data is retrieved, as you are setting that not voided documents are included in report.

(0075038)
hgbot (developer)
2015-02-27 13:47

Repository: erp/devel/pi
Changeset: 452fedf8a214c7fd8a925f39a9f625bc24f25694
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Thu Feb 26 13:37:44 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/452fedf8a214c7fd8a925f39a9f625bc24f25694 [^]

Fixed bug 27010: Invoice Dimensional Report should not consider voided status.

A new primary filter, was added to the Sales Invoice Dimensional Report, to allow exclude or not, documents voided in report's output.
This filter can be managed through a new preference that was created too, in order to let user decide if filter will be shown. By default the filter will be hidden and documents voided will be considered.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter.html
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter.xml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
---
(0075040)
aferraz (developer)
2015-02-27 13:54

Code review + Testing OK
(0075105)
hudsonbot (developer)
2015-03-02 20:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9d659cacae03 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-03 17:18 maite New Issue
2014-07-03 17:18 maite Assigned To => dmiguelez
2014-07-03 17:18 maite Modules => Core
2014-07-03 17:18 maite Triggers an Emergency Pack => No
2014-07-03 17:18 maite Assigned To dmiguelez => jonalegriaesarte
2014-07-03 17:23 maite Issue Monitored: networkb
2014-07-24 13:47 jonalegriaesarte Assigned To jonalegriaesarte => AtulOpenbravo
2014-09-29 16:12 jonalegriaesarte Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-11-03 19:47 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-11-03 19:47 reinaldoguerra Status new => scheduled
2014-11-04 00:22 reinaldoguerra Note Added: 0071384
2014-12-23 16:21 Sandrahuguet Target Version 3.0PR15Q1 => 3.0PR15Q2
2015-02-27 12:51 reinaldoguerra Note Edited: 0071384 View Revisions
2015-02-27 13:47 hgbot Checkin
2015-02-27 13:47 hgbot Note Added: 0075038
2015-02-27 13:47 hgbot Status scheduled => resolved
2015-02-27 13:47 hgbot Resolution open => fixed
2015-02-27 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/452fedf8a214c7fd8a925f39a9f625bc24f25694 [^]
2015-02-27 13:54 aferraz Review Assigned To => aferraz
2015-02-27 13:54 aferraz Note Added: 0075040
2015-02-27 13:54 aferraz Status resolved => closed
2015-03-02 20:31 hudsonbot Checkin
2015-03-02 20:31 hudsonbot Note Added: 0075105


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker